```shell
# удаление job
$ jobs -l
[1]+ 31139 Running                 sleep 300 &
$ kill 31139
```

```shell
# компиляция исходников и архивация
sudo apt install build-essential
```

```shell
# sysstat
git clone git://github.com/sysstat/sysstat
cd sysstat/
./configure
make
cd ..
tar -czvf sysstat.tar.gz ./sysstat/
```

```shell
# fio
git clone git://git.kernel.dk/fio.git
cd fio/
./configure --build-static
make
cd ..
tar -czvf fio.tar.gz ./fio/
```

```shell
# распаковка
tar -xzvf sysstat.tar.gz
tar -xzvf fio.tar.gz
```

```shell
# https://fio.readthedocs.io/en/latest/fio_doc.html#threads-processes-and-job-synchronization
# https://docs.oracle.com/en-us/iaas/Content/Block/References/samplefiocommandslinux.htm

# запуск fio, который компилировался
./fio --filename=./fio.test --size=1GB --direct=1 --rw=randrw --bs=4k --iodepth=256 --runtime=10 --numjobs=4 --time_based --group_reporting --name=iops-test-job --eta-newline=1

# запуск fio, который установлен через apt
fio --filename=~/fio.test --size=1GB --direct=1 --rw=randrw --bs=4k --ioengine=libaio --iodepth=256 --runtime=560 --numjobs=4 --time_based --group_reporting --name=iops-test-job --eta-newline=1
```

```shell
# запуск iostat
./sysstat/iostat -x -t -o JSON 10 $count
# https://mellowhost.com/blog/how-to-find-iops-usage-in-a-linux-server.html
#   If you look at the output, the colum r/s would say the read iops and the colum w/s would say write iops. If you are using simple ‘iostat 1’ then the column tps should show the total iops of the disk in use
```

```shell
# запуск скриптами
./fio.sh    --repeat 2 --time  60 >> io-measure.log &
./iostat.sh --repeat 1 --count 30 >> io-measure.log &
```
