# маска для составления списка файлов в подпапке
mask = '*iostat*.json'

# корневая папка скрипта является рабочей папкой по умолчанию
base_dir = '.'

# исключающий список папок, которые функция get_folders пропускает
exclude_dirs = ['__pycache__', '.idea', '.ipynb_checkpoints', '_shell-scripts', '__stuff']

# исключающий список устройств, для которых не нужно строить графики
exclude_dev = [
    'fd0',
    'sr0',
    'loop0',
    'loop1',
    'loop2',
    'loop3',
    'loop4',
    'loop5',
    'loop6',
    'loop7',
    'loop8',
    'loop9',
    'loop10',
    'loop11',
    'loop12',
    'loop13',
    'loop14',
    'loop15',
]

# описания графиков: какую группу метрик выводить, как подписать ось Y и какие у неё единицы измерения
figures = [
    {  # 1й график
        'labels':   'CPU utilization',
        'units':    '%',
        'metrics':  ['avg-cpu.idle', 'avg-cpu.system', 'avg-cpu.user', 'avg-cpu.nice', 'avg-cpu.iowait', 'avg-cpu.steal'],
        'legends':  ['idle', 'system', 'user', 'nice', 'iowait', 'steal'],
     },
    {  # 2й график
        'labels':   'harddisk utilization',
        'units':    '%',
        'metrics':  ['rrqm', 'wrqm', 'util', 'drqm']
     },
    {
        'labels':   'harddisk iops',
        'units':    'iops',
        'metrics':  ['r/s', 'w/s', 'rrqm/s', 'wrqm/s', 'd/s', 'drqm/s']
     },
    {
        'labels':   'harddisk latency',
        'units':    's',
        'metrics':  ['r_await', 'w_await', 'd_await']
     },
    {
        'labels':   'harddisk queue sizes',
        'units':    'B',
        'metrics':  ['rareq-sz', 'wareq-sz', 'aqu-sz', 'dareq-sz']
     },
    {
        'labels':   'harddisk traffic',
        'units':    'B/s',
        'metrics':  ['rkB/s', 'wkB/s', 'dkB/s']
     },
]
